org.apache.nutch.indexer

## Class IndexerOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<String,NutchDocument>
  - - org.apache.nutch.indexer.IndexerOutputFormat

-     public class IndexerOutputFormat
      extends OutputFormat<String,NutchDocument>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexerOutputFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOutputSpecs(JobContext jobContext)`
    `OutputCommitter` | `getOutputCommitter(TaskAttemptContext arg0)`
    `RecordWriter<String,NutchDocument>` | `getRecordWriter(TaskAttemptContext job)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexerOutputFormat

          public IndexerOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<String,NutchDocument> getRecordWriter(TaskAttemptContext job)
                                                             throws IOException,
                                                                    InterruptedException

      Specified by:
        `getRecordWriter` in class `OutputFormat<String,NutchDocument>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### checkOutputSpecs

          public void checkOutputSpecs(JobContext jobContext)
                                throws IOException,
                                       InterruptedException

      Specified by:
        `checkOutputSpecs` in class `OutputFormat<String,NutchDocument>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### getOutputCommitter

          public OutputCommitter getOutputCommitter(TaskAttemptContext arg0)
                                             throws IOException,
                                                    InterruptedException

      Specified by:
        `getOutputCommitter` in class `OutputFormat<String,NutchDocument>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2015 The Apache Software Foundation